"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    return new object_1.OString(args[0].Inspect());
});
//# sourceMappingURL=string.js.map