import { NewEnvironment } from './object/environment';
import Lexer from './lexer/lexer';
import Parser from './parser/parser';
import Eval from './evaluator/evaluator';
export { NewEnvironment, Lexer, Parser, Eval };
export declare const OObject: {
    BOOLEAN_OBJ: string;
    BUILTIN_OBJ: string;
    ERROR_OBJ: string;
    COMMENT_OBJ: string;
    FUNCTION_OBJ: string;
    INTEGER_OBJ: string;
    FLOAT_OBJ: string;
    NULL_OBJ: string;
    RETURN_VALUE_OBJ: string;
    STRING_OBJ: string;
    ARRAY_OBJ: string;
    HASH_OBJ: string;
};
export declare function main(argv: string[]): void;
