import { NullableOObject } from './object';
import Logger from './logger';
export default class Environment {
    store: Map<string, NullableOObject>;
    outer: Environment | null;
    Logger: Logger;
    constructor(logger: Logger);
    Get(name: string): NullableOObject;
    Set(name: string, val: NullableOObject): NullableOObject;
}
export declare function NewEnvironment(): Environment;
export declare function NewEnclosedEnvironment(outer: Environment): Environment;
