"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("./object");
function TestObject(t) {
    console.log('║  └ TestStringHashKey');
    TestStringHashKey(t);
}
exports.TestObject = TestObject;
function TestStringHashKey(t) {
    let hello1 = new object_1.OString('Hello World');
    let hello2 = new object_1.OString('Hello World');
    let diff1 = new object_1.OString('My name is johnny');
    let diff2 = new object_1.OString('My name is johnny');
    let num1 = new object_1.OString('My name is johnny');
    let num2 = new object_1.OInteger(-375126709);
    if (hello1.HashKey().Match !== hello2.HashKey().Match) {
        t.Errorf('strings with same content have different hash keys: %s,%s', hello1.HashKey().Match, hello2.HashKey().Match);
    }
    if (diff1.HashKey().Match !== diff2.HashKey().Match) {
        t.Errorf('strings with same content have different hash keys: %s,%s', diff1.HashKey().Match, diff2.HashKey().Match);
    }
    if (hello1.HashKey().Match === diff2.HashKey().Match) {
        t.Errorf('strings with different content have same hash keys: %s,%s', hello1.HashKey().Match, diff2.HashKey().Match);
    }
    if (num1.HashKey().Match === num2.HashKey().Match) {
        t.Errorf('objects with different type have different hash keys: %s,%s', num1.HashKey().Match, num2.HashKey().Match);
    }
}
exports.TestStringHashKey = TestStringHashKey;
//# sourceMappingURL=object-test.js.map