"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const ast_1 = require("./ast");
const token_1 = __importStar(require("../token/token"));
function TestAst(t) {
    console.log('║  └ TestString');
    TestString(t);
}
exports.TestAst = TestAst;
function TestString(t) {
    let program = new ast_1.ASTProgram();
    program.Statements = [
        new ast_1.LetStatement(new token_1.default(token_1.TokenType.LET, 'let'), new ast_1.Identifier(new token_1.default(token_1.TokenType.IDENT, 'myVar'), 'myVar'), new ast_1.Identifier(new token_1.default(token_1.TokenType.IDENT, 'anotherVar'), 'anotherVar')),
    ];
    t.Assert(program.String() === 'let myVar = anotherVar;', 'program.String() wrong. got=%s', program.String());
}
exports.TestString = TestString;
//# sourceMappingURL=ast-test.js.map