"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length > 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1 or 0', args.length);
    }
    let date = new Date();
    if (args[0]) {
        date = new Date(args[0].Inspect());
    }
    return new object_1.OString(date.toUTCString());
});
//# sourceMappingURL=date_utc.js.map