import { AnyNodeType } from '../ast/ast';
import { NullableOObject, OBoolean, OError, ONull } from '../object/object';
import Environment from '../object/environment';
export declare const NULL: ONull, TRUE: OBoolean, FALSE: OBoolean;
export default function Eval(node: AnyNodeType | null, env: Environment): NullableOObject;
export declare function newError(format: string, ...args: any[]): OError;
