"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Logger {
    constructor() {
        this._listeners = [];
    }
    Follow(fn) {
        this._listeners.push(fn);
    }
    Log(...messages) {
        let date = new Date();
        this._listeners.forEach(fn => {
            fn(date, [...messages]);
        });
    }
}
exports.default = Logger;
//# sourceMappingURL=logger.js.map