import Position from './position';
export default class Token {
    Type: string;
    Literal: string;
    Position: Position;
    constructor(type: string, literal: string, position?: Position);
}
export declare type TokenTypeName = string;
export declare const TokenType: {
    [index: string]: TokenTypeName;
};
export declare const Keywords: {
    [index: string]: string;
};
export declare function LookupIdent(ident: string): string;
